Package org.drinkless.tdlib

# Class TdApi.ReplyMarkupForceReply

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ReplyMarkup
org.drinkless.tdlib.TdApi.ReplyMarkupForceReply

Enclosing class:
  `TdApi`

public static class TdApi.ReplyMarkupForceReply extends TdApi.ReplyMarkup
Instructs application to force a reply to this message.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.ReplyMarkup

  `TdApi.ReplyMarkup.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `inputFieldPlaceholder`
  If non-empty, the placeholder to be shown in the input field when the reply is active; 0-64 characters.
  `boolean`
  `isPersonal`
  True, if a forced reply must automatically be shown to the current user.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReplyMarkupForceReply()`
  Instructs application to force a reply to this message.
  `ReplyMarkupForceReply(boolean isPersonal, String inputFieldPlaceholder)`
  Instructs application to force a reply to this message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### isPersonal

    public boolean isPersonal
    True, if a forced reply must automatically be shown to the current user. For outgoing messages, specify true to show the forced reply only for the mentioned users and for the target user of a reply.

  - ### inputFieldPlaceholder

    public String inputFieldPlaceholder
    If non-empty, the placeholder to be shown in the input field when the reply is active; 0-64 characters.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ReplyMarkupForceReply

    public ReplyMarkupForceReply()
    Instructs application to force a reply to this message.

  - ### ReplyMarkupForceReply

    public ReplyMarkupForceReply(boolean isPersonal, String inputFieldPlaceholder)
    Instructs application to force a reply to this message.
    Parameters:
      `isPersonal` - True, if a forced reply must automatically be shown to the current user. For outgoing messages, specify true to show the forced reply only for the mentioned users and for the target user of a reply.
      `inputFieldPlaceholder` - If non-empty, the placeholder to be shown in the input field when the reply is active; 0-64 characters.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.ReplyMarkup`
    Returns:
      this.CONSTRUCTOR